---
title: <xmp>
slug: Web/HTML/Element/xmp
tags:
  - Element
  - HTML
  - Obsolete
  - Reference
  - Web
---
<div>{{Obsolete_header}}</div>

<h2 id="Summary">Summary</h2>

<p>The <em>HTML Example Element</em> (<code>&lt;xmp&gt;</code>) renders text between the start and end tags without interpreting the HTML in between and using a monospaced font. The HTML2 specification recommended that it should be rendered wide enough to allow 80 characters per line.</p>

<div class="note"><strong>Note: </strong>Do not use this element.

<ul>
 <li>It has been deprecated since HTML3.2 and was not implemented in a consistent way. It was completely removed from the language in HTML5.</li>
 <li>Use the {{HTMLElement("pre")}} element or, if semantically adequate, the {{HTMLElement("code")}} element instead. Note that you will need to escape the '<code>&lt;</code>' character as '<code>&amp;lt;</code>' to make sure it is not interpreted as markup.</li>
 <li>A monospaced font can also be obtained on any element, by applying an adequate <a href="/en-US/docs/Web/CSS" title="CSS">CSS</a> style using <code>monospace</code> as the generic-font value for the {{cssxref("font-family")}} property.</li>
</ul>
</div>

<h2 id="Attributes">Attributes</h2>

<p>This element has no other attributes than the <a href="/en-US/docs/Web/HTML/Global_attributes" title="HTML/global attributes">global attributes</a>, common to all elements.</p>

<h2 id="DOM_interface">DOM interface</h2>

<p>This element implements the {{domxref('HTMLElement')}} interface.</p>

<div class="note">
<p><strong>Implementation note: </strong>up to Gecko 1.9.2 inclusive, Firefox implements the {{domxref('HTMLSpanElement')}} interface for this element.</p>
</div>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.xmp")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{HTMLElement("pre")}} and {{HTMLElement("code")}} elements to be used instead.</li>
 <li>The {{HTMLElement("plaintext")}} and {{HTMLElement("listing")}} elements, similar to {{HTMLElement("xmp")}} but also obsolete.</li>
</ul>

<div>{{HTMLRef}}</div>
